h40979
s 00000/00000/00051
d D 1.2 83/03/31 12:26:14 mmm 2 1
c 
e
s 00051/00000/00000
d D 1.1 83/03/15 21:33:56 tes 1 0
c date and time created 83/03/15 21:33:56 by tes
e
u
4
U
t
T
I 1
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Routines to perform array assignments                  #
#                                                                      #
########################################################################
subroutine arysgn (kount, kinpt, kotpt)
integer kount, kinpt(1), kotpt(1)
integer i
if (kount > 0)
   do i = 1, kount  {
      kotpt(i) = kinpt(i)
      }
   return
end
subroutine arycon (kount, kinpt, kotpt)
integer kount, kinpt, kotpt(1)
integer i
if (kount > 0)
   do i = 1, kount  {
      kotpt(i) = kinpt
      }
   return
end
subroutine arysnr (kount, rinpt, rotpt)
integer kount
real rinpt(1), rotpt(1)
integer i
if (kount > 0) 
   do i = 1, kount  {
      rotpt(i) = rinpt(i)
      }
   return
end
subroutine arycnr (kount, rinpt, rotpt)
integer kount
real rinpt, rotpt(1)
integer i
if (kount > 0)
   do i = 1, kount  {
      rotpt(i) = rinpt
      }
   return
end
E 1
